using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace lkfxdok.LKF.KA
{
    public class LineSatzart
    {
        LineType _lineType;
        int _typeNumber;
        List<LKFLine> _lines;


        public LineSatzart (LineType lineType, int typeNumber)
        {
            _lineType = lineType;
            _typeNumber = typeNumber;
            _lines = new List<LKFLine>();
        }

        protected virtual LKFLine CreateLine (String line)
        {
            return new LKFLine(line);
        }
 
        internal void Add (String line)
        {
            _lines.Add(CreateLine(line));
        }

        public int LineCount
        {
            get
            {
                return _lines.Count;
            }
        }

        public IEnumerable<LKFLine> Lines
        {
            get
            {
                return _lines;
            }
        }
    }
}
